package com.tzld.piaoquan.ad.engine.server.controller;

import com.tzld.piaoquan.ad.engine.service.score.RankService;
import com.tzld.piaoquan.ad.engine.service.score.param.RankRecommendRequestParam;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.HashMap;
import java.util.Map;

@RestController
@RequestMapping("/recommend")
public class AdRecommendController {

    private final static Logger log = LoggerFactory.getLogger(AdRecommendController.class);
    @Autowired
    RankService rankService;

    @RequestMapping("/top1/basic")
    public Map<String,Object> adRecommendTop1Basic(@RequestBody RankRecommendRequestParam request){
        Long adId= rankService.adItemRank(request);
        HashMap map =new HashMap();
        map.put("code","0");
        map.put("msg","success");
        HashMap contentMap=new HashMap<>();
        contentMap.put("adId",adId);
        map.put("content",contentMap);
        return map;
    }

}
